Skip to main content
GET
/
insights
List insights
curl --request GET \
  --url https://app.freyavoice.ai/api/v2/insights \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "insights": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "isRequired": true,
          "agentCount": 1,
          "valuesCount": 1,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "agents": []
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string<uuid>
required
sortBy
string
sortOrder
enum<string>
Available options:
asc,
desc

Response

Insights list

success
enum<boolean>
required
Available options:
true
data
object
required